class UserMailer < ApplicationMailer

  def verify_email

    @user = params[:user]
    @verification_code = params[:verification_code]

    mail to: email_address_with_name(@user.email, @user.name),
         subject: t('mailers.verify_email_subject', token: @verification_code&.token)
  end

end
